'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _bottender = require('bottender');

var _warning = require('warning');

var _warning2 = _interopRequireDefault(_warning);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* flow */
class FacebookContext extends _bottender.MessengerContext {
  // https://developers.facebook.com/docs/graph-api/reference/v2.11/object/private_replies
  async sendPrivateReply(message) {
    const objectId = this._event.rawEvent.value.comment_id; // FIXME: postId

    if (this._event.isSentByPage) {
      (0, _warning2.default)(false, 'Could not sendPrivateReply to page itself.');
      return;
    }
    return this._client.sendPrivateReply(objectId, message, {
      access_token: this._customAccessToken
    });
  }

  // https://developers.facebook.com/docs/graph-api/reference/v2.11/object/comments/
  async sendComment(message) {
    const objectId = this._event.rawEvent.value.comment_id; // FIXME: postId

    if (this._event.isSentByPage) {
      (0, _warning2.default)(false, 'Could not sendComment to page itself.');
      return;
    }
    return this._client.sendComment(objectId, message, {
      access_token: this._customAccessToken
    });
  }
}
exports.default = FacebookContext;